# Remove-RASTemplateLicenseKey

### NAME

Remove-RASTemplateLicenseKey\ <br>

### SYNOPSIS

Removes the licenses key info from a RAS Template.\ <br>

### SYNTAX

Remove-RASTemplateLicenseKey \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#Id)] *\<uint>* -[Key](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#Key) *\<string>* -[ObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#ObjType) {RDSTemplate | VDITemplate | AVDTemplate} \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#CommonParameters)*>*]\
\
Remove-RASTemplateLicenseKey \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#InputObject)] *<*[*Template*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Template.html)*>* -[Key](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#Key) *\<string>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASTemplateLicenseKey.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Removes a license key information from a RAS Template.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
The ID of the RAS Template to modify.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjType <**[**TemplateObjType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/TemplateObjType.html)**>**\
The Object Type for which to add Template License Key.\
\
Possible values: RDSTemplate, VDITemplate, AVDTemplate\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**Template**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Template.html)**>**\
An object of type Template representing a RAS Template.\
\
The object is obtained using the Get-Template cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**Key \<string>**\
The license key to remove.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[Template](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Template.html)

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Remove-RASTemplateLicenseKey -ObjType VDITemplate -Id 1 -Key abcd1234\
\
Removes the specified license key details from the RAS Template specified by ObjType and ID.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Remove-RASTemplateLicenseKey -InputObject $Template -Key abcd1234\
\
Removes the specified license key details from the RAS Template specified by the $Template variable.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASTemplate -ObjType VDITemplate -Id 1 | Remove-RASTemplateLicenseKey -Key abcd1234\
\
Removes the specified license key details from the RAS Template obtained from the pipeline output.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/remove-rastemplatelicensekey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
